.AddNewAddress {
    margin: 30px 0px;
}

.AddNewAddress .add_new_address_main_div {}

.AddNewAddress .add_new_address_main_div .data_holder {}

.AddNewAddress .add_new_address_main_div .data_holder .map-section {
    position: relative;
}

.AddNewAddress .is-invalid {
    background-color: #000;
    color: red;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .mapouter {}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .mapouter .gmap_canvas {}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .mapouter .gmap_canvas .gmap_iframe {
    width: 100%;
    height: 200px;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .overlaycolor {
    background: transparent linear-gradient(180deg, #00000000 0%, #000000c7 100%) 0% 0% no-repeat padding-box;
    border-radius: 5px;
    opacity: 1;
    position: absolute;
    bottom: 0;
    height: 40%;
    width: 100%;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div {
    background: #ffffff 0% 0% no-repeat padding-box;
    box-shadow: 0px 0px 3px #0000004d;
    border-radius: 5px;
    opacity: 1;
    width: 354px;
    padding: 6px 12px;
    position: absolute;
    bottom: 11px;
    left: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .icon_holder {
    position: absolute;
    left: 0;
    width: 40px;
    background: #000;
    height: 100%;
    border-radius: 5px 0px 0px 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .icon_holder .location_icon {
    color: #fff;
    font-size: 18px;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .area_div {
    width: 92%;
    padding-left: 40px;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .area_div .area_heading {
    letter-spacing: 0px;
    color: #000;
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 600;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .area_div .footer_text {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* height: 22px; */
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .area_div .footer_text .city_name {
    letter-spacing: 0px;
    color: #000;
    margin-bottom: 0px;
    font-size: 14px;
}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .area_div .footer_text .right_side_text {}

.AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div .area_div .footer_text .right_side_text .right_text {
    letter-spacing: 0px;
    color: #1f7041;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 14px;
    text-decoration: underline;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div {
    margin-top: 3%;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn {
    background: #fff 0% 0% no-repeat padding-box;
    border-radius: 24px;
    border: 1px solid #6b4182;
    opacity: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    width: auto;
    padding: 6px 20px;
    margin-right: 18px;
    cursor: pointer;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn.active {
    background: transparent linear-gradient(135deg, #6b4182 0%, #a3248b 100%);
    border: none;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn .icon_holder {}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn .icon_holder .type_icon {
    color: #000;
    font-size: 16px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn.active .icon_holder .type_icon {
    color: #fff;
    font-size: 16px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn .address_type {}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn .address_type p {
    color: #000;
    font-size: 14px;
    margin-bottom: 0px;
    padding-left: 10px;
    white-space: nowrap;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn.active .address_type p {
    color: #fff;
    font-size: 14px;
    margin-bottom: 0px;
    padding-left: 10px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div {
    padding: 0px 200px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div .form-control {
    margin-bottom: 15px !important;
    width: 100%;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div .form-control {
    margin-bottom: 15px !important;
    width: 100%;
    background: #ffffff 0% 0% no-repeat padding-box;
    border: 0.5px solid #707070;
    border-radius: 5px;
    opacity: 1;
    font-size: 14px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div .form-control::placeholder {
    font-size: 14px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div .green_text_underline {
    text-align: right;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .btn_holder {
    display: flex;
    justify-content: center;
    margin-top: 3%;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .btn_holder .Blue_Btn,
.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .btn_holder .Gray_Btn {
    width: 150px;
    margin: 0px 10px;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .btn_holder .Gray_Btn {
    background: #a4a4a4;
}

.AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .btn_holder .Gray_Btn:hover {
    background: #8e8c8c;
}

@media (min-width: 0px) and (max-width: 767px) {
    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div {
        position: unset;
        display: block;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .overlaycolor {
        bottom: 79px;
        height: 27%;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div {
        position: unset;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div .input_btn {
        width: 100%;
        margin-top: 15px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div .record_div {
        width: 100%;
        margin-top: 20px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .below_map_content .payment_mode_main_div .payment_mode_div {
        width: 100%;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .below_map_content .payment_mode_main_div .payment_mode_div .cash_btn_holder {
        padding: 8px 9px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .below_map_content .payment_mode_main_div .payment_mode_div .cash_btn_holder .left_side .icon_holder .wallet_icon {
        font-size: 15px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div {
        padding: 0px 22px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .area_main_div {
        position: relative;
        margin-top: 5%;
        width: 100%;
        left: 0px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn.active .address_type p {
        font-size: 12px;
        padding-left: 7px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn {
        width: 156px;
        margin-right: 5px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn.active {
        width: 156px;
        margin-right: 5px;
        padding: 5px 10px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div {
        margin-top: 9%;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn .address_type p {
        font-size: 12px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn .icon_holder .type_icon {
        font-size: 13px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .address_type_btn_holder .address_type_btn.active .icon_holder .type_icon {
        font-size: 13px;
    }
}

@media (min-width: 768px) and (max-width: 1199px) {
    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div .record_div {
        width: 39%;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div .record_div .icon_holder {
        width: 27px;
        height: 27px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div .record_div .icon_holder .icon {
        font-size: 16px;
    }

    .AddNewAddress .add_new_address_main_div .data_holder .address_form_main_div .form_div {
        padding: 0px 100px;
    }
}

@media (min-width: 1200px) and (max-width: 1400px) {
    .AddNewAddress .add_new_address_main_div .data_holder .map-section .search_input_div .record_div {
        width: 25%;
    }
}